Bug 858013 - katello-configure config option for KATELLO_JOB_WORKERS
katello-configure config option for KATELLO_JOB_WORKERS
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Lukas Zapletal
Hayk Hovsepyan
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-17 15:14 EDT by Tom McKay
Modified: 2013-03-27 16:11 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
A new option has been created for the katello-jobs service in /etc/sysconfig/katello. The option, KATELLO_JOB_WORKERS, controls the number of parallel background job workers System Engine uses for promotions and other background tasks. The default number is 1.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:55:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom McKay 2012-09-17 15:14:05 EDT
The katello-jobs service has an option in /etc/sysconfig/katello KATELLO_JOB_WORKERS to control the number of threads. This option needs to be exposed via katello-configure.

As a side note, I see the following in that file

# number of katello-job service background workers
#KATELLO_JOB_WORKERS=1

# additional katello-job service options for delayed_jobs
#KATELLO_JOB_WORKERS=-m -p katello

which seems incorrect. Is that second one supposed to be named differently? It too needs to be settable via katello-configure
Comment 2 Lukas Zapletal 2012-09-18 03:39:30 EDT
Yeah it's a typo. The latter should be: KATELLO_JOB_PARAMS. I can add that to katello-configure.
Comment 3 Lukas Zapletal 2012-09-18 04:35:10 EDT
https://github.com/Katello/katello/pull/686

Please give it QA ack, easy to verify.
Comment 4 Garik Khachikyan 2012-09-18 04:47:49 EDT
qe-ack+
Comment 5 Lukas Zapletal 2012-09-18 05:50:29 EDT
Doc text:

New katello-configure installer option called --job-workers which defines how many background job workers should CFSE use for promotions and other background tasks (excluding synchronization jobs). Default is 1.

FYI you can do review of all installer options reading man katello-configure.
Comment 6 Garik Khachikyan 2012-09-18 05:52:30 EDT
# COMMENT

and how to check the running threads count for background jobs? what/where to grep please?
Comment 7 Garik Khachikyan 2012-09-18 06:00:00 EDT
assigning Hayk H. as QE contact.
Comment 8 Lukas Zapletal 2012-09-18 07:57:49 EDT
QA: grep KATELLO_JOB_WORKERS /etc/sysconfig/katello
Comment 9 Garik Khachikyan 2012-09-18 08:05:17 EDT
any other way to detect that like: there are 2 parallel jobs working, grep of the `ps` or ?
Comment 10 Lukas Zapletal 2012-09-21 04:45:43 EDT
# ps axu | grep delayed_job
katello   4998  0.0  9.6 308128 173116 ?       S    Sep20   0:45 katello/delayed_job                             
katello   4999  0.0  6.3 307144 114816 ?       S    Sep20   0:00 delayed_job_monitor                             
root     19127  0.0  0.0   6380   684 pts/0    S+   10:44   0:00 grep delayed_job

Each ONE worker has TWO processes, one is called delayed_job_monitor and one katello/delayed_job.
Comment 13 Hayk Hovsepyan 2012-10-02 09:11:52 EDT
Verified on revision:
katello-certs-tools-1.1.8-1.el6cf.noarch
katello-glue-pulp-1.1.12-9.el6cf.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-agent-1.1.2-1.el6cf.noarch
katello-configure-1.1.9-4.el6cf.noarch
katello-glue-candlepin-1.1.12-9.el6cf.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-selinux-1.1.1-1.el6cf.noarch
katello-common-1.1.12-9.el6cf.noarch
katello-1.1.12-9.el6cf.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-cli-common-1.1.8-5.el6cf.noarch
katello-cli-1.1.8-5.el6cf.noarch

Now if we configure "job-workers=2" it runs 2 instances of both "delayed_job*" jobs.
Comment 15 errata-xmlrpc 2012-12-04 14:55:22 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.